

/*Syncfusion Customization*/
/*SF::Tab*/
.e-tab .e-tab-header {
    position: sticky;
    top: 0; /* Adjust this value to set the distance from the top of the viewport */
    z-index: 99999; /* Ensure the header stays on top of other content */
    /* background-color: #fff; Optional: Set a background color for visibility */
}

/* Alternatively, to target all Syncfusion tabs */
.e-tab .e-content .e-item {
    padding: 3px !important; /* Adjust the value as needed */
}


.e-accordion,
.e-content {
    padding:3px;
}

/* SF::DataForm */
.e-dataform,
.e-form-layout,
.e-form-group,
/*.e-control-wrapper,*/
.e-form-items,
.e-form-item,
.e-form-item-wrapper {
    font-size: 1.1rem !important; /* Adjust the size as needed */
    margin-bottom: 1px !important; /* Adjust the value as needed (e.g., 1rem, 15px) */
    margin-top: 0px !important;
    padding: 0px !important;
    border-spacing: 0px 0px !important; /* space between rows (vertical 10px, horizontal 0px) */
}
/* If the form items are in a grid/table structure, you might use border-spacing */
/* Use browser inspection to verify the correct selectors */
.e-dataform .e-content .e-table {
    font-size: 1rem !important; /* Adjust the size as needed */
    margin: 0 !important;
    padding: 0 !important;
    border-spacing: 0px 0px !important; /* space between rows (vertical 10px, horizontal 0px) */
}


/*.e-control-container,*/
/*.e-control-wrapper,*/
/*.e-input-group,*/
/*.e-float-input,*/
.e-form-label,
.e-label-position-top,
.e-input-group input.e-input,
.e-float-text {
    margin: 0 !important;
    padding: 0 !important;
    border-spacing: 0px 0px !important; /* space between rows (vertical 10px, horizontal 0px) */
}

/*.e-input-group,*/
.e-float-input,
.e-form-label,
.e-label-top,
.e-input-group input.e-input,
.e-float-input label.e-float-text {
    font-size: .9rem !important; /* Adjust the size as needed */
    /*  color: black !important;  */
    /* height: 33px; /* Adjust as needed */ */
}


.error {
    color: red;
    font-size: .9rem !important;
}


.e-input-group1 .e-input-group-icon1 {
    /* Basic styling for the icon */
    padding: 0 1px;
    display: flex;
    align-items: center;
    vertical-align: central;
    cursor: pointer;
    border: 1px solid #ced4da; /* Match input border */
    border-right: none;
    background-color: #e9ecef;
}
/* Match the input height if necessary */
.e-input-group1 .e-input-group-icon,
.e-input-group1 .e-control.e-textbox {
    height: 36px; /* Adjust as needed */
}
